Subject: Re: [PATCH 4/5] diff: introduce diff.submoduleFormat configuration variable

From: Jens Lehmann <[email-masked]>
Date: Wed, 03 Oct 2012 15:45:05 +0200

Am 02.10.2012 21:44, schrieb Jens Lehmann:
> Am 02.10.2012 18:51, schrieb Ramkumar Ramachandra:
>> Introduce a diff.submoduleFormat configuration variable corresponding
>> to the '--submodule' command-line option of 'git diff'.
> 
> Nice. Maybe a better name would be "diff.submodule", as this sets the
> default for the "--submodule" option of diff?
> 
> And I think you should also test in t4041 that "--submodule=short"
> overrides the config setting.

We also need tests which show that setting that config to "log" does
not break one of the many users of "git diff" ("stash", "rebase" and
"format-patch" come to mind, most probably I missed some others). I
suspect we'll have to add "--submodule=short" options to some call
sites to keep them working with submodule changes.